## panelBrowser

panelBrowser —

## Synopsis

    ToolPanel*  panelBrowser_init               ();
    #define     BROWSER_PREVIOUS
    #define     BROWSER_NEXT
    gboolean    panelBrowserGet_currentSelected (GtkTreePath **path,
                                                 GtkTreeIter *iterSelected);
    gboolean    panelBrowserGet_nextSelected    (GtkTreePath **path,
                                                 GtkTreeIter *iterSelected,
                                                 int direction);

## Description

## Details

### panelBrowser_init ()

    ToolPanel*  panelBrowser_init               ();

This routine should not be used since it inialised the module and is already called when V_Sim is launched.

Returns : | the newly created panel for file browsing.

### BROWSER_PREVIOUS

    #define BROWSER_PREVIOUS 0

Value that give the direction when the selector is moved around file list. See `panelBrowserGet_nextSelected()`.

### BROWSER_NEXT

    #define BROWSER_NEXT     1

Value that give the direction when the selector is moved around file list. See `panelBrowserGet_nextSelected()`.

### panelBrowserGet_currentSelected ()

    gboolean    panelBrowserGet_currentSelected (GtkTreePath **path,
                                                 GtkTreeIter *iterSelected);

Get iter and path of the currently sleected file.

`path` : | a pointer to returned the path of the currently selected file ;
`iterSelected` : | a pointer to store the currently selected iter.
Returns : |

### panelBrowserGet_nextSelected ()

    gboolean    panelBrowserGet_nextSelected    (GtkTreePath **path,
                                                 GtkTreeIter *iterSelected,
                                                 int direction);

Change the selected file in the browser given the direction.

`path` : | a pointer to returned the path of the newly selected file ;
`iterSelected` : | a pointer to store the newly selected iter ;
`direction` : | BROWSER_NEXT or BROWSER_PREVIOUS.
Returns : |